<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
if ($aut) {
$diz -> head('Новые файлы');
$diz -> title("<a href='./'>Загрузки</a>/<b>Новые файлы</b>");
$count = $db -> dbcount('COUNT(*)','load_files','`dateupload` > '.(time()-86400).'');
if ($count>0){
$num = isset($ya['num']) ? $ya['num'] : 10;
$total = intval(($count - 1) / $num) + 1; 
if (!isset($_GET['page']) || !is_numeric($_GET['page']) || $_GET['page'] < 1 )
{
$page = 1;
} elseif($_GET['page'] > $total)
{ $page = $total;
} else $page = (int)$_GET['page'];
$start = $page * $num - $num;
$sql = $db -> query("SELECT * FROM `load_files` where `dateupload` > '".(time()-86400)."' ORDER BY `dateupload` DESC LIMIT ".$start.",".$num);
$i = 1;
while ($post = $sql -> fetch_assoc()) {
$user = $db -> query("SELECT login FROM `users` where `id`='".$post['user']."' ");
$us = $user -> fetch_assoc();
$dir = $db -> query("SELECT `name`,`id` FROM `load_cat` where `id`='".$post['cat']."' ")-> fetch_assoc();
$msg .= '<div class="post">Файл: <a href="./view/'.$post['id'].'/">'.$post['name'].'</a> (Папка: <a href="./?id='.$dir['id'].'">'.$dir['name'].'</a>)</div><a href="../my/id'.$post['user'].'">'.$us['login'].'</a> ['.$func -> times(date('d m Y',$post['dateupload'])).' ]</br>';
}
$act = 'new.php?';
$msg .= $func -> pagenav($act,$page,$total);
}else{$msg .= '<div class="fon">За последние 24 часа файлов не добавлялось..</div>';}
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
header('location: ../aut.php');
}
?>